%define major 10
%define libname %mklibname tifiles2_ %{major}
%define develname %mklibname tifiles2 -d

Name:           libtifiles2
Version:        1.1.7
Release:        %mkrel 4
Summary:        Texas Instruments calculator files library

Group:          System/Libraries
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        https://download.sourceforge.net/tilp/%{name}-%{version}.tar.bz2

BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(ticonv)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  gettext-devel

%package i18n
Summary:        Internationalization and locale data for %{name}
Group:          System/Internationalization
BuildArch:      noarch
Conflicts:      %{_lib}tifiles9 < 1.1.6-2

%description i18n
Internationalization and locale data for %{name}

%package -n %{libname}
Group:          System/Libraries
Summary:        Texas Instruments calculators files library
Provides:       %{name} = %{version}-%{release}
Requires:       %{name}-i18n >= %{version}-%{release}

%package -n %{develname}
Group:          Development/C
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       tifiles2-devel = %{version}-%{release}
Obsoletes:      %{_lib}tifiles-devel < 1.1.7


%description
The tifiles library is a library capable of reading, modifying,
and writing TI formatted files. It can also group/ungroup files.
This library is able to manipulate files in a fairly transparent
fashion. With this library, the developer does not have to worry
about the different file formats.

%description -n %{libname}
The tifiles library is a library capable of reading, modifying,
and writing TI formatted files. It can also group/ungroup files.
This library is able to manipulate files in a fairly transparent
fashion. With this library, the developer does not have to worry
about the different file formats.

%description -n %{develname}
Include files and libraries for developing applications that
make use of libtifiles.


%prep
%setup -q

rm po/fr.gmo

%build
autoreconf -vfi
%configure \
        --disable-static
%make_build

make -C po fr.gmo

%check
make check

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%license COPYING
%doc README AUTHORS ChangeLog
%{_libdir}/libtifiles2.so.%{major}
%{_libdir}/libtifiles2.so.%{major}.*

%files -n %{develname}
%{_libdir}/libtifiles2.so
%{_libdir}/pkgconfig/tifiles2.pc
%{_includedir}/tilp2/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.1.7-4.mga8
+ Revision: 1489036
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 08 2018 wally <wally> 1.1.7-3.mga7
+ Revision: 1257855
- rebuild for aarch64

* Fri Aug 03 2018 wally <wally> 1.1.7-2.mga7
+ Revision: 1247125
- rebuild for aarch64

* Sun Jan 01 2017 wally <wally> 1.1.7-1.mga6
+ Revision: 1079422
- new version 1.1.7
- new libmajor 10
- fix lib and devel pkg names
- don't install html docs

* Sun Jan 01 2017 wally <wally> 1.1.6-2.mga6
+ Revision: 1079359
- split out translations from lib pkg

* Thu Sep 22 2016 zezinho <zezinho> 1.1.6-1.mga6
+ Revision: 1055291
- add devel provides
- add lib major check
- try to follow mageia libs policy
- imported package libtifiles2


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 4 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.6-4
- Switched to using global instead of define.
- Package now correctly owns the package documentation directory.
- Test suite is now ran.

* Fri Feb 27 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.6-3
- Fixed a problem where documentation files would be duplicated.
- Made the -doc subpackage noarch and removed dependency on libtifiles2.
- Changed spec to remove prebuild *.gmo file and rebuild it.

* Tue Feb 24 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.6-2
- Fixed localization to use lang_find macro.
- Fixed wrong end of file encodings on some documentation files.

* Mon Feb 23 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.6-1
- Bumped release number.
- Added license tag and missing documentation files.
- Added doc subpackage for the HTML documentation.

* Sat Apr 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.6-0
- Updated to latest upstream tilp version

* Wed Jul 11 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.5-3
- Added full documentation, built by tfdocgen

* Wed Jun 20 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.5-2
- Added devel subpackage dependency on parent package

* Wed Jun 20 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.5-1
- Removed libtool archive from package

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.5-0
- Upgraded to version 1.1.5
- Added a -devel subpackage for the library files
- Vastly improved spec file

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.4-0
- Initial version of the package

